com.hammurapi.common.concurrent

## Class StringSubSet

- java.lang.Object
- - com.hammurapi.common.concurrent.AbstractSubSet<String>
  - - com.hammurapi.common.concurrent.StringSubSet

- All Implemented Interfaces:
    Adaptable, PropertySet<String>, Versionable<PropertySet<String>>

      public class StringSubSet
      extends AbstractSubSet<String>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StringSubSet(PropertySet<String> master, String prefix)`
    `protected` | `StringSubSet(PropertySet<String> master, String prefix, String separator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `buildPath(String prefix, String key)`
    `PropertySet<String>` | `createVersion()` Creates object version.

    - ### Methods inherited from class com.hammurapi.common.concurrent.AbstractSubSet

      `cancel, cancelAll, clear, cook, cook, cooking, get, get, get, get, get, get, get, get, getAdapter, invoke, keySet, lazy, mount, remove, set, setAll, setInvocable, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowGet, shadowInvoke, subset, unmount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringSubSet

          protected StringSubSet(PropertySet<String> master,
                      String prefix)

    - #### StringSubSet

          protected StringSubSet(PropertySet<String> master,
                      String prefix,
                      String separator)

  - ### Method Detail

    - #### buildPath

          protected String buildPath(String prefix,
                         String key)

      Specified by:
        `buildPath` in class `AbstractSubSet<String>`

    - #### createVersion

          public PropertySet<String> createVersion()

      Description copied from interface: `Versionable`
      Creates object version.
      Specified by:
        `createVersion` in interface `Versionable<PropertySet<String>>`
      Overrides:
        `createVersion` in class `AbstractSubSet<String>`
      Returns: